package com.alibaba.fastsql.interpreter.expr;

import com.alibaba.fastsql.interpreter.InterpreterContext;

public class ConstLong extends LongExpr implements Expr<Long> {
    private final Long value;

    public ConstLong(Long value) {
        this.value = value;
    }

    public Long eval(InterpreterContext context) {
        return value;
    }
}
