package com.alibaba.fastsql.interpreter.expr;

import com.alibaba.fastsql.interpreter.InterpreterContext;

import java.util.List;

public abstract class FunctionImpl<T> implements Function<T> {
    protected final Expr<T>[] arguments;

    public FunctionImpl(Expr<T>... arguments) {
        this.arguments = arguments;
    }

    public abstract T eval(InterpreterContext context);
}
