package com.alibaba.fastsql.interpreter.expr;

import com.alibaba.fastsql.interpreter.InterpreterContext;

public class LiteralNull implements Expr {
    public final static LiteralNull instance = new LiteralNull();

    private LiteralNull() {}

    public Class getType() {
        return Void.TYPE;
    }

    @Override
    public Object eval(InterpreterContext context) {
        return null;
    }
}
