package com.alibaba.fastsql.interpreter.expr;

import com.alibaba.fastsql.interpreter.InterpreterContext;

public abstract class LongFunction implements Function<Long>, Expr<Long> {
    public Class getType() {
        return Long.class;
    }

    protected final Expr[] arguments;

    public LongFunction(Expr... arguments) {
        this.arguments = arguments;
    }

    public abstract Long eval(InterpreterContext context);
}
