package com.alibaba.fastsql.sql.dialect.mysql.ast.statement;

import com.alibaba.fastsql.sql.ast.SQLStatement;
import com.alibaba.fastsql.sql.dialect.mysql.visitor.MySqlASTVisitor;

import java.util.ArrayList;
import java.util.List;

/**
 * @version 1.0
 * @ClassName DrdsRemoveDDLJob
 * @description
 * @Author zzy
 * @Date 2019-06-18 23:41
 */
public class DrdsRemoveDDLJob extends MySqlStatementImpl implements SQLStatement {

    private boolean allCompleted = false;
    private boolean allPending = false;
    private List<Long> jobIds = new ArrayList<Long>();

    public void accept0(MySqlASTVisitor visitor) {
        visitor.visit(this);
        visitor.endVisit(this);
    }

    public boolean isAllCompleted() {
        return allCompleted;
    }

    public void setAllCompleted(boolean allCompleted) {
        this.allCompleted = allCompleted;
    }

    public boolean isAllPending() {
        return allPending;
    }

    public void setAllPending(boolean allPending) {
        this.allPending = allPending;
    }

    public List<Long> getJobIds() {
        return jobIds;
    }

    public void addJobId(long id) {
        jobIds.add(id);
    }
}
