package com.alibaba.fastsql.support.protobuf;

import java.sql.SQLException;

public class InvalidTypeException extends SQLException {
    private final String field;
    private final String type;

    public InvalidTypeException(String messsage, String field, String type) {
        super(messsage);
        this.field = field;
        this.type = type;
    }

    public String getField() {
        return field;
    }

    public String getType() {
        return type;
    }
}
