package com.alibaba.fastsql.support.protobuf;

import java.sql.SQLException;

public class InvalidValueException extends SQLException {
    private final String field;
    private final String value;

    public InvalidValueException(String messsage, String field, String value) {
        super(messsage);
        this.field = field;
        this.value = value;
    }

    public String getField() {
        return field;
    }

    public String getValue() {
        return value;
    }
}
