package com.alibaba.fastsql.interpreter;

import java.util.Map;

public class MapInterpreterContext implements InterpreterContext {
    private final Map map;

    public MapInterpreterContext(Map map) {
        this.map = map;
    }

    @Override
    public Object getFieldValue(String fieldName) {
        return map.get(fieldName);
    }
}
