package com.alibaba.fastsql.sql.optimizer.rules;

import com.alibaba.fastsql.sql.ast.statement.SQLExprTableSource;
import com.alibaba.fastsql.sql.ast.statement.SQLTableSource;
import com.alibaba.fastsql.sql.dialect.mysql.visitor.MySqlASTVisitorAdapter;

import java.util.ArrayList;
import java.util.List;

public class TableSourceExtractor extends MySqlASTVisitorAdapter {

    List<SQLExprTableSource> tableSources = new ArrayList<SQLExprTableSource>();

    @Override
    public boolean visit(SQLExprTableSource x) {
        tableSources.add(x);
        return true;
    }

    public List<SQLExprTableSource> getTableSources() {
        return tableSources;
    }
}
